Name: H5Pset_istore_k
Signature:
  herr_t `H5Pset_istore_k`(hid_t `plist`, unsigned `ik` )
Purpose:
  Sets the size of the parameter used to control the B-trees for indexing chunked datasets.
Description:
  `H5Pset_istore_k` sets the size of the parameter used to control the B-trees for indexing chunked datasets. This function is only valid for file creation property lists.

  `ik` is one half the rank of a tree that stores chunked raw data. On average, such a tree will be 75% full, or have an average rank of 1.5 times the value of `ik`.

Parameters:

hid_t `plist` | IN: Identifier of property list to query.
unsigned `ik` | IN: 1/2 rank of chunked storage B-tree.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pset_istore_k_f

      SUBROUTINE h5pset_istore_k_f (prp_id, ik, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id ! Property list identifier
        INTEGER, INTENT(IN) :: ik            ! 1/2 rank of chunked storage B-tree
        INTEGER, INTENT(OUT) :: hdferr       ! Error code
                                             ! 0 on success and -1 on failure
      END SUBROUTINE h5pset_istore_k_f

History:

Release | C
1.6.4 | `ik` parameter type changed to unsigned.